> ## Documentation Index
> Fetch the complete documentation index at: https://statsig-preview.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Backfill Ingestion



## OpenAPI

````yaml api-reference/statsig_openapi.json post /console/v1/ingestion/backfill
openapi: 3.0.0
info:
  title: Console API
  description: >-
    The "Console API" is the CRUD API for performing the actions offered on
    console.statsig.com without needing to go through the web UI.

    If you have any feature requests, drop on in to our [slack
    channel](https://www.statsig.com/slack) and let us know.

    <br /><br />

    <b>Authorization</b>

    <br />

    All requests must include the **STATSIG-API-KEY** field in the header. The
    value should be a **Console API Key** which can be created in the Project
    Settings on
    [console.statsig.com/api_keys](https://console.statsig.com/api_keys)

    <br /><br />

    <b>Rate Limiting</b>

    <br />

    Requests to the Console API are limited to <code>~ 100reqs / 10secs and ~
    900reqs / 15 mins</code>.

    <br /><br />

    <b>Keyboard Search</b>

    <br />

    Use <code>Ctrl/Cmd + K</code> to search for specific endpoints.
  version: 20240601.0.0
  contact: {}
servers:
  - url: https://statsigapi.net
security: []
tags: []
paths:
  /console/v1/ingestion/backfill:
    post:
      tags:
        - Ingestions
      summary: Backfill Ingestion
      parameters:
        - name: x-respect-review-settings
          in: header
          description: Optional header to respect review settings for mutation endpoints.
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IngestionBackfillContractDto'
      responses:
        '200':
          description: Backfill Ingestion Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SingleDataResponse'
                  - properties:
                      data:
                        $ref: '#/components/schemas/IngestionBackfillDataDto'
                example:
                  message: Ingestion backfilled successfully.
                  data:
                    runID: string
              example:
                message: Ingestion backfilled successfully.
                data:
                  runID: string
        '400':
          description: Invalid request. Please check the request input and try again.
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    enum:
                      - 400
                  message:
                    type: string
                required:
                  - status
                  - message
              examples:
                Invalid Request:
                  value:
                    status: 400
                    message: >-
                      Invalid request. Please check the request input and try
                      again.
      security:
        - STATSIG-API-KEY: []
components:
  schemas:
    IngestionBackfillContractDto:
      type: object
      properties:
        datestamp_start:
          type: string
        datestamp_end:
          type: string
        type:
          type: string
          enum:
            - redshift
            - bigquery-v2
            - snowflake-v2
            - databricks
            - azure-synapse
            - s3
            - athena
            - adls
        source:
          oneOf:
            - type: string
            - type: array
              items:
                type: string
          nullable: true
        dataset:
          type: string
          enum:
            - Events
            - Metrics
            - export_exposures
            - entity_properties
      required:
        - datestamp_start
        - datestamp_end
        - type
        - dataset
    SingleDataResponse:
      type: object
      properties:
        message:
          type: string
          description: A simple string explaining the result of the operation.
        data:
          type: object
          description: A single result.
      required:
        - message
        - data
    IngestionBackfillDataDto:
      type: object
      properties:
        runID:
          type: string
      required:
        - runID
  securitySchemes:
    STATSIG-API-KEY:
      type: apiKey
      name: STATSIG-API-KEY
      in: header

````